Skip to content

Gets all of the processes a contact is eligible to use

Request

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

contactIdstringrequired

The contact id

examIdstringrequired

The exam id

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/examRegProcesses/{tenantId}/eligible/{contactId}/{examId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Processes were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
last_registrationobject(Last Registration)
processesArray of objects
Response
{ "last_registration": { "course_registration_id": "string", "date": "2019-08-24T14:15:22Z", "email_address": "string", "exam_id": "string", "exam_offering_id": "string", "first_name": "string", "id": "string", "last_name": "string", "location": "testing facility", "name": "string", "notes": "string", "number": 0.1, "order_id": "string", "order_line_item_id": "string", "process_id": "string", "score": 0.1, "status": "cancelled", "student_id": "string", "testing_facility_id": "string", "training_location_id": "string", "training_provider_id": "string" }, "processes": [ { … } ] }